Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
roles
List organization roles
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/roles \
  --header 'Authorization: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "first_name": "<string>",
      "last_name": "<string>",
      "last_login": "2023-11-07T05:31:56Z",
      "picture": "<string>",
      "is_active": true
    },
    "organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "added_by": "<string>",
    "role": "organization_guest"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

Response

200 - application/json

A list of all the user organization roles on the specified organization

id
string<uuid>
required
read-only
user
object
required
organization
string<uuid>
required
added_by
string
required
read-only
role
enum<string>
  • organization_guest - Organization Guest
  • organization_viewer - Organization Viewer
  • organization_editor - Organization Editor
  • organization_owner - Organization Owner
Available options:
organization_guest,
organization_viewer,
organization_editor,
organization_owner